グループのメンバーの一覧を取得する
こちらは旧グループプランの内容です。
Flexible/Enterpriseプランをご利用の場合はこちらのページをご覧ください。
GET https://deploygate.com/api/organizations/{ORGANIZATION_NAME}/members
グループに所属しているメンバーのユーザー情報一覧を取得します。
Path Params
| Name | Type | Required | Description |
|---|---|---|---|
| ORGANIZATION_NAME | string | true | グループ名 |
Example
curl \
-X GET \
--url "https://deploygate.com/api/organizations/${ORGANIZATION_NAME}/members" \
-H "Accept: application/json" \
-H "Authorization: Bearer ${API_TOKEN}"
Result 200
招待中のユーザー
招待メールは送付済みだがDeployGateへの登録は未完了なユーザーもレスポンスに含まれ、 "inviting": true となります。この場合、ユーザー名はメールアドレスとなります。
{
"error": false,
"members": [
{
"type": "User",
"name": "${USERNAME}",
"display_name": "${USER_DISPLAY_NAME}",
"icon_url": "https://secure.gravatar.com/avatar/${USERNAME}",
"url": "https://deploygate.com/users/${USERNAME}"
},
{
"type": "User",
"name": "${EMAIL}",
"display_name": null,
"icon_url": "https://secure.gravatar.com/avatar/default",
"inviting": true,
"url": "https://deploygate.com/users/${EMAIL}"
}
]
}
Result 400
{}